var gulp = require('gulp');
var minifyCSS = require('gulp-csso');
var concat = require('gulp-concat');
var rename = require('gulp-rename');
var cleanCSS = require('gulp-clean-css');

var CSSDEST = 'static/'

gulp.task('default', defaultTask);

function defaultTask(done) {
  return gulp.src('src/css/*.css')
             .pipe(concat('default.css'))
             .pipe(cleanCSS({format: 'beautify'}))
             .pipe(gulp.dest(CSSDEST))
             .pipe(cleanCSS())
             .pipe(rename({ extname: '.min.css' }))
             .pipe(gulp.dest(CSSDEST))
}
